# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=7
WANT_AUTOCONF=latest

inherit autotools

DESCRIPTION="Opensource Implementation of WS-Management - Command line utility"
HOMEPAGE="https://github.com/Openwsman"
SRC_URI="https://github.com/Openwsman/wsmancli/archive/v2.6.0.tar.gz -> ${P}.tar.gz"

LICENSE="BSD"
SLOT="0"
KEYWORDS="x86 amd64"
IUSE="static-libs"

CDEPEND="
	net-misc/curl[idn]
	sys-apps/openwsman
	"

RDEPEND="${CDEPEND}"
DEPEND="${CDEPEND}"

PATCHES=(
	"${FILESDIR}"/autotools.patch
)

src_prepare() {
	default

	mv configure.{in,ac} || die
	./bootstrap
}
